@bulletqq123

Ошибка UPDATE bot telegram?

Выскакивает ошибка.
<2022-05-22 00:46:49> [ERROR   ][aiogram.dispatcher.dispatcher]: Cause exception while getting updates.
Traceback (most recent call last):
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python39\lib\site-packages\aiogram\bot\api.py", line 139, in make_request
    async with session.post(url, data=req, **kwargs) as response:
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python39\lib\site-packages\aiohttp\client.py", line 1138, in __aenter__
    self._resp = await self._coro
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python39\lib\site-packages\aiohttp\client.py", line 559, in _request
    await resp.start(conn)
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python39\lib\site-packages\aiohttp\client_reqrep.py", line 898, in start
    message, payload = await protocol.read()  # type: ignore[union-attr]
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python39\lib\site-packages\aiohttp\streams.py", line 616, in read
    await self._waiter
aiohttp.client_exceptions.ClientOSError: [WinError 121] Превышен таймаут семафора

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python39\lib\site-packages\aiogram\dispatcher\dispatcher.py", line 383, in start_polling
    updates = await self.bot.get_updates(
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python39\lib\site-packages\aiogram\bot\bot.py", line 97, in get_updates
    result = await self.request(api.Methods.GET_UPDATES, payload)
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python39\lib\site-packages\aiogram\bot\base.py", line 208, in request
    return await api.make_request(self.session, self.server, self.__token, method, data, files,
  File "C:\Users\Administrator\AppData\Local\Programs\Python\Python39\lib\site-packages\aiogram\bot\api.py", line 142, in make_request
    raise exceptions.NetworkError(f"aiohttp client throws an error: {e.__class__.__name__}: {e}")
aiogram.utils.exceptions.NetworkError: Aiohttp client throws an error: ClientOSError: [WinError 121]
Превышен таймаут семафора
Само все нормально работает, но периодически выскакивает данная ошибка.
  • Вопрос задан
  • 86 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы